Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.connectionmanager
Class AbstractSingleStreamConnectionManagerService

    java.lang.Object
      org.teleal.cling.support.connectionmanager.AbstractSingleStreamConnectionManagerService

    public abstract class AbstractSingleStreamConnectionManagerService

extends Object

Constructor Summary
`AbstractSingleStreamConnectionManagerService()`

Method Summary
`int` | `getAvTransportID()`
`ConnectionStatus` | `getConnectionStatus()`
`String` | `getCurrentConnectionIDs()`
`void` | `getCurrentConnectionInfo(int connectionId)`
`Direction` | `getDirection()`
`int` | `getPeerConnectionID()`
`String` | `getPeerConnectionManager()`
`String` | `getProtocolInfo()`
`void` | `getProtocolInfoAction()`
`int` | `getRcsID()`
`abstract String` | `getSinkProtocolInfo()`
`abstract String` | `getSourceProtocolInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSingleStreamConnectionManagerService

    public AbstractSingleStreamConnectionManagerService()

Method Detail

### getRcsID

    public int getRcsID()

### getAvTransportID

    public int getAvTransportID()

### getProtocolInfo

    public String getProtocolInfo()

### getPeerConnectionManager

    public String getPeerConnectionManager()

### getPeerConnectionID

    public int getPeerConnectionID()

### getDirection

    public Direction getDirection()

### getConnectionStatus

    public ConnectionStatus getConnectionStatus()

### getProtocolInfoAction

    public void getProtocolInfoAction()
                               throws org.teleal.cling.model.action.ActionException

  Throws:
    `org.teleal.cling.model.action.ActionException`

### getCurrentConnectionIDs

    public String getCurrentConnectionIDs()
                                   throws org.teleal.cling.model.action.ActionException

  Throws:
    `org.teleal.cling.model.action.ActionException`

### getCurrentConnectionInfo

    public void getCurrentConnectionInfo(int connectionId)
                                  throws org.teleal.cling.model.action.ActionException

  Throws:
    `org.teleal.cling.model.action.ActionException`

### getSourceProtocolInfo

    public abstract String getSourceProtocolInfo()

### getSinkProtocolInfo

    public abstract String getSinkProtocolInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.